Could not start bundle org.apache.geronimo.bundles.axis2-saaj_1.6.1.1 if disable admin console modules in WebSphere Application Server Community Edition 3.0.0.2

Technote (troubleshooting)


Problem(Abstract)

If you want to start a customized WebSphere Application Server Community Edition 3.0.0.2 server that diabled all the admin console modules, you will meet an org.osgi.framework.BundleException.

Symptom

If you disable the admin console feature by set the following modules "load='false'" in <WAS_CE_HOME>\var\conf\config.xml.

<module load="false" name="org.apache.geronimo.plugins/console-tomcat/3.0-w20120503/car"/>
<module load="false" name="org.apache.geronimo.plugins/plugin-console-tomcat/3.0-w20120503/car"/>
<module load="false" name="org.apache.geronimo.plugins.monitoring/mconsole-tomcat/3.0-w20120503/car"/>
<module load="false" name="org.apache.geronimo.plugins/activemq-console-tomcat/3.0-w20120503/car"/>
<module load="false" name="org.apache.geronimo.plugins/debugviews-console-tomcat/3.0-w20120503/car"/>
<module load="false" name="org.apache.geronimo.plugins/sysdb-console-tomcat/3.0-w20120503/car"/>
<module load="false" name="org.apache.geronimo.plugins/openejb-console-tomcat/3.0-w20120503/car"/>
<module load="false" name="org.apache.geronimo.plugins/plancreator-console-tomcat/3.0-w20120503/car"/>

When you start the customized server, you will meet the following exception.

Starting WebSphere Application Server Community Edition v3.0.0.2
[**************************** ] 72% 8s Loading webservices-common 2012-09-25 04:26:36,492 WARN [Dependen
yManager] Could not start bundle: org.apache.geronimo.bundles.axis2-saaj_1.6.1.1 [289]
org.osgi.framework.BundleException: The bundle "org.apache.geronimo.bundles.axis2-saaj_1.6.1.1 [289]" could not be resolved. Reason: Missing Constrai
t: Import-Package: org.apache.axis2.addressing; version="1.5.0", Missing Constraint: Import-Package: org.apache.axis2; version="1.5.0"
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1327)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1311)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:299)
at org.apache.geronimo.system.configuration.DependencyManager.starting(DependencyManager.java:517)
at org.apache.geronimo.system.configuration.DependencyManager.bundleChanged(DependencyManager.java:120)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.dispatchEvent(BundleContextImpl.java:847)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.ListenerQueue.dispatchEventSynchronous(ListenerQueue.java:148)
at org.eclipse.osgi.framework.internal.core.Framework.publishBundleEventPrivileged(Framework.java:1523)
at org.eclipse.osgi.framework.internal.core.Framework.publishBundleEvent(Framework.java:1459)
at org.eclipse.osgi.framework.internal.core.Framework.publishBundleEvent(Framework.java:1454)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:367)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:299)
at org.apache.geronimo.kernel.config.SimpleConfigurationManager.loadConfiguration(SimpleConfigurationManager.java:311)
at org.apache.geronimo.system.main.EmbeddedDaemon.doStartup(EmbeddedDaemon.java:232)
at org.apache.geronimo.system.main.EmbeddedDaemon.execute(EmbeddedDaemon.java:99)
at org.apache.geronimo.system.osgi.BootActivator$1.execute(BootActivator.java:107)
at org.apache.geronimo.main.Bootstrapper.execute(Bootstrapper.java:68)
at org.apache.geronimo.cli.AbstractCLI.executeMain(AbstractCLI.java:65)
at org.apache.geronimo.cli.daemon.DaemonCLI.main(DaemonCLI.java:32)
2012-09-25 04:26:36,546 WARN [DependencyManager] Could not start bundle: org.apache.geronimo.bundles.axis2_1.6.1.2 [293]
org.osgi.framework.BundleException: The bundle "org.apache.geronimo.bundles.axis2_1.6.1.2 [293]" could not be resolved. Reason: Missing Constraint: I
port-Package: org.apache.commons.fileupload; version="0.0.0", Missing Constraint: Import-Package: org.apache.axis2.saaj; version="0.0.0"
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1327)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1311)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:299)
at org.apache.geronimo.system.configuration.DependencyManager.starting(DependencyManager.java:517)
at org.apache.geronimo.system.configuration.DependencyManager.bundleChanged(DependencyManager.java:120)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.dispatchEvent(BundleContextImpl.java:847)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.ListenerQueue.dispatchEventSynchronous(ListenerQueue.java:148)
at org.eclipse.osgi.framework.internal.core.Framework.publishBundleEventPrivileged(Framework.java:1523)
at org.eclipse.osgi.framework.internal.core.Framework.publishBundleEvent(Framework.java:1459)
at org.eclipse.osgi.framework.internal.core.Framework.publishBundleEvent(Framework.java:1454)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:367)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:299)
at org.apache.geronimo.kernel.config.SimpleConfigurationManager.loadConfiguration(SimpleConfigurationManager.java:311)
at org.apache.geronimo.system.main.EmbeddedDaemon.doStartup(EmbeddedDaemon.java:232)
at org.apache.geronimo.system.main.EmbeddedDaemon.execute(EmbeddedDaemon.java:99)
at org.apache.geronimo.system.osgi.BootActivator$1.execute(BootActivator.java:107)
at org.apache.geronimo.main.Bootstrapper.execute(Bootstrapper.java:68)
at org.apache.geronimo.cli.AbstractCLI.executeMain(AbstractCLI.java:65)
at org.apache.geronimo.cli.daemon.DaemonCLI.main(DaemonCLI.java:32)



Resolving the problem

To fix this issue, please follow this instruction.

1. Download the patch file.CouldNotStartBundleIssueInCustomizedServer.zipCouldNotStartBundleIssueInCustomizedServer.zip

2. Unzip the patch file into the WebSphere Application Server Community Edition installation directory, and ensure the files listed in the zip file replace the ones in the server installation.

3. Start the server with the cache cleaned, for example,

<WAS_CE_HOME>\bin\startup -c

<WAS_CE_HOME>/bin/startup.sh -c


Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

WebSphere Application Server Community Edition
Console

Software version:

3.0.0.2

Operating system(s):

AIX, Linux, Solaris, Windows

Software edition:

Elite, Enhanced, Entry

Reference #:

1615001

Modified date:

2012-10-24

Translate my page

Machine Translation

Content navigation